POST api/medistreamprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "2b81b931-f33e-4fe3-b765-57bafd4c2bec",
"program_id": "ec9a314d-8c05-4c92-b3c9-ae28fd259cda",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "25178de2-d58e-4813-9762-71c66dd42a65",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>2b81b931-f33e-4fe3-b765-57bafd4c2bec</id> <medistream_program_step_type_id>25178de2-d58e-4813-9762-71c66dd42a65</medistream_program_step_type_id> <name>sample string 4</name> <program_id>ec9a314d-8c05-4c92-b3c9-ae28fd259cda</program_id> </medistream_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"4b9b6ee2-b616-4772-853c-99147c9ff774"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">4b9b6ee2-b616-4772-853c-99147c9ff774</guid>